datablock ParticleData(TetrakaikimboFlashParticle)
{
	dragCoefficient		= 3;
	gravityCoefficient	= -0.5;
	inheritedVelFactor	= 0.2;
	constantAcceleration = 0.0;
	lifetimeMS			  = 25;
	lifetimeVarianceMS	= 15;
	textureName			 = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]	  = "0.9 0.9 0.9 0.9";
	colors[1]	  = "0.5 0.0 1.0 0.0";
	sizes[0]		= 0.5;
	sizes[1]		= 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TetrakaikimboFlashEmitter)
{
	ejectionPeriodMS = 3;
	periodVarianceMS = 0;
	ejectionVelocity = 1.0;
	velocityVariance = 1.0;
	ejectionOffset	= 0.0;
	thetaMin			= 0;
	thetaMax			= 90;
	phiReferenceVel  = 0;
	phiVariance		= 360;
	overrideAdvance = false;
	particles = "TetrakaikimboFlashParticle";
	uiName = "Guns Tetrakaikimbo Flash";
};

datablock ParticleData(TetrakaikimboSmokeParticle)
{
	dragCoefficient		= 3;
	gravityCoefficient	= -0.5;
	inheritedVelFactor	= 0.2;
	constantAcceleration = 0.0;
	lifetimeMS			  = 525;
	lifetimeVarianceMS	= 55;
	textureName			 = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]	  = "0.5 0.5 0.5 0.9";
	colors[1]	  = "0.5 0.5 0.5 0.0";
	sizes[0]		= 0.15;
	sizes[1]		= 0.15;
	useInvAlpha = false;
};
datablock ParticleEmitterData(TetrakaikimboSmokeEmitter)
{
	ejectionPeriodMS = 3;
	periodVarianceMS = 0;
	ejectionVelocity = 1.0;
	velocityVariance = 1.0;
	ejectionOffset	= 0.0;
	thetaMin			= 0;
	thetaMax			= 90;
	phiReferenceVel  = 0;
	phiVariance		= 360;
	overrideAdvance = false;
	particles = "TetrakaikimboSmokeParticle";
	uiName = "Guns Tetrakaikimbo Smoke";
};

//////////
// item //
//////////
datablock ItemData(TetrakaikimboItem)
{
	category = "Weapon";
	className = "Weapon";

	shapeFile = "./models/tetrakaikimbo.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Guns Tetrakaikimbo";
	iconName = "./models/tetrakimbos.png";
	doColorShift = true;
	colorShiftColor = "0.5 0.0 1.0 1.000";
	image = TetrakaikimboImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(TetrakaikimboImage)
{
	shapeFile = "./models/tetrakaikimbo.dts";
	emap = true;
	mountPoint = 0;
	offset = "0 0 0";
	eyeOffset = 0; 
	rotation = eulerToMatrix( "0 0 0" );
	
	correctMuzzleVector = true;
	
	className = "WeaponImage";
	item = BowItem;
	ammo = " ";
	projectile = GunProjectile;
	projectileType = Projectile;

	casing = GunShellDebris;
	shellExitDir		  = "1.0 -1.3 1.0";
	shellExitOffset	  = "0 0 0";
	shellExitVariance	= 15.0;	
	shellVelocity		 = 7.0;
	
	melee = false;
	armReady = true;

	doColorShift = true;
	colorShiftColor = TetrakaikimboItem.colorShiftColor;
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.15;
	stateTransitionOnTimeout[0]       = "Ready";
	stateSound[0]					= weaponSwitchSound;
	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]         = true;
	stateName[2]                    = "Fire";
	stateScript[2]                  = "onFire";
	stateTransitionOnTimeout[2]     = "Smoke";
	stateTimeoutValue[2]            = 0.05;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "rotate";
	stateWaitForTimeout[2]			= true;
	stateEmitter[2]					= TetrakaikimboFlashEmitter;
	stateEmitterTime[2]				= 0.05;
	stateEmitterNode[2]				= "muzzleNode";
	stateSound[2]					= gunShot1Sound;
	stateEjectShell[2]       = true;
	stateName[3] = "Smoke";
	stateEmitter[3]					= TetrakaikimboSmokeEmitter;
	stateEmitterTime[3]				= 0.05;
	stateEmitterNode[3]				= "muzzleNode";
	stateTimeoutValue[3]            = 0.01;
	stateTransitionOnTimeout[3]     = "Reload";
	stateName[4]			= "Reload";
	stateTransitionOnTriggerDown[4]  = "Fire";
	stateTransitionOnTriggerUp[4]     = "Ready";
};
